﻿using System.Linq;
using System.Windows.Forms;

using ScottPlot;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            double[] frequencyArray =
            {
                50  , 63  , 80  , 100 , 125 , 160 , 200 ,
                250 , 315 , 400 , 500 , 630 , 800 , 1000,
                1250, 1600, 2000, 2500, 3150, 4000, 5000
            };

            double[] positionArray = DataGen.Consecutive(frequencyArray.Length);

            string[] labelArray = frequencyArray.Select(x => x.ToString()).ToArray();

            double[] amplitudeArray =
            {
                23.9, 24.2, 24.3, 24.5, 25.3, 26.3, 27.6,
                31.4, 33.7, 36  , 38.4, 42  , 43.5, 46.1,
                48.8, 51.5, 53.2, 55  , 56.9, 58.7, 60.6
            };

            plot.AddScatter(positionArray, amplitudeArray);

            plot.XAxis.ManualTickPositions(positionArray, labelArray);

            plot.XAxis.TickLabelStyle(rotation : 90);

            plot.XAxis.SetSizeLimit(min : 50);

            plot.Title("진동 커플링");
            plot.YLabel("진폭(dB)");
            plot.XLabel("주파수(Hz)");

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}